Subject: Re: What's cooking in git.git (Mar 2026, #12)

From: Junio C Hamano <[email-masked]>
Date: Tue, 31 Mar 2026 08:27:54 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Mon, Mar 30, 2026 at 05:10:42PM -0700, Junio C Hamano wrote:
>> * ps/commit-graph-overflow-fix (2026-03-23) 1 commit
>>  - commit-graph: fix writing generations with dates exceeding 34 bits
>> 
>>  Fix a regression in writing the commit-graph where commits with dates
>>  exceeding 34 bits (beyond year 2514) could cause an underflow and
>>  crash Git during the generation data overflow chunk writing.
>> 
>>  Waiting for review response.
>>  cf. <[email-masked]>
>>  source: <[email-masked]>
>
> Shall this also be marked as "Will merge to next" based on our last
> discussion at [1]? I mostly want to ensure this is part of rc0 so that
> the regression isn't part of any tagged release, even if it's just a
> release candidate.

Even though I still feel uncomfortable hurrying to merge down an
obviously UB code, instead of an uglier but far safer conditional
compilation, patching it on top is trivial, so let's mark it for
'next'.  Thanks for spotting.